Bug 1094584 - [Build 20180522] multi_users_dm: no keyboard input
[Build 20180522] multi_users_dm: no keyboard input
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
https://openqa.opensuse.org/tests/681...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-24 21:24 UTC by Dominique Leuenberger
Modified: 2022-02-10 15:14 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-05-24 21:24:54 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-DVD-x86_64-extra_tests_on_gnome@64bit fails in
[multi_users_dm](https://openqa.opensuse.org/tests/681835/modules/multi_users_dm/steps/11)


## Reproducible

Fails since (at least) Build [20180522](https://openqa.opensuse.org/tests/681463)


## Expected result

Last good: [20180521](https://openqa.opensuse.org/tests/680945) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?machine=64bit&arch=x86_64&flavor=DVD&test=extra_tests_on_gnome&version=Tumbleweed&distri=opensuse)

From the looks of it, the keyboard presses are not longer honored by gdm/gnome-shell. This snapshot included an update of gnome-shell, which is a good candidate to check for this kind of regression
Comment 1 xiaoguang wang 2018-05-25 01:42:48 UTC
I guess it is related with
https://gitlab.gnome.org/GNOME/gnome-shell/issues/157

and two commits in mutter:
https://gitlab.gnome.org/GNOME/mutter/merge_requests/80
https://gitlab.gnome.org/GNOME/mutter/merge_requests/93

It moves mouse pointer to low right corner from center on gdm login screen.
Comment 2 xiaoguang wang 2018-05-25 02:35:29 UTC
I tested on the real machine, press 'tab' key first, inputting focus can be moved to user list, then move 'up' or 'down' key, you can select user.
Comment 3 Dominik Heidler 2018-05-25 09:30:47 UTC
Should be fixed with https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/5127
Comment 4 Dominik Heidler 2018-05-25 11:02:46 UTC
fixed in https://openqa.opensuse.org/tests/682445

The old method relied on a preselected user entry in the middle of the screen (maybe by mouseover?) and pressed arrow up until user#01 was selected.
When there is no prior selection, this will not work.
Therefore the new code will send [tab] until user#01 is selected.

Do we consider this behaviour change as a bug?
Comment 5 Dominique Leuenberger 2022-02-10 15:14:07 UTC
(In reply to Dominik Heidler from comment #4)
> fixed in https://openqa.opensuse.org/tests/682445
> 
> The old method relied on a preselected user entry in the middle of the
> screen (maybe by mouseover?) and pressed arrow up until user#01 was selected.
> When there is no prior selection, this will not work.
> Therefore the new code will send [tab] until user#01 is selected.
> 
> Do we consider this behaviour change as a bug?

Seems nobody considers this a bug